%define upstream_name    Class-Generate
%define upstream_version 1.15

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Generate Perl class hierarchies
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Module::Build) >= 0.360.0
BuildRequires: perl(Symbol)
BuildRequires: perl(strict)
BuildRequires: perl(Text::Soundex)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
The Class::Generate package exports functions that take as arguments a class
specification and create from these specifications a Perl 5 class. The
specification language allows many object-oriented constructs: typed members,
inheritance, private members, required members, default values, object methods,
class methods, class variables, and more.

CPAN contains similar packages. Why another? Because object-oriented
programming, especially in a dynamic language like Perl, is a complicated
endeavor. I wanted a package that would work very hard to catch the errors you
(well, I anyway) commonly make. I wanted a package that could help me enforce
the contract of object-oriented programming. I also wanted it to get out of my
way when I asked.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
chmod 644 Changes README

%build
%__perl Build.PL installdirs=vendor
./Build CFLAGS="%{optflags}"

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Class
%{_mandir}/*/*


%changelog
* Sat Jun 18 2016 pterjan <pterjan> 1.150.0-3.mga6
+ Revision: 1023969
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.150.0-2.mga6
+ Revision: 967713
- Mageia 6 Mass Rebuild

* Sat Jul 04 2015 sander85 <sander85> 1.150.0-1.mga6
+ Revision: 850105
- update to 1.15

* Sat Oct 18 2014 umeabot <umeabot> 1.140.0-4.mga5
+ Revision: 787974
- Rebuild to potentially add missing dependencies

* Thu Oct 16 2014 umeabot <umeabot> 1.140.0-3.mga5
+ Revision: 768736
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Thu Feb 13 2014 jquelin <jquelin> 1.140.0-1.mga5
+ Revision: 590627
- update to 1.14

* Tue Jan 21 2014 shlomif <shlomif> 1.110.0-4.mga4
+ Revision: 567337
- Consistently fix the tests in perl-5.18.x.
  The problem was caused due to hash keys randomisation inroduced in perl-5.17.x:
  https://rt.cpan.org/Public/Bug/Display.html?id=81623

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.110.0-2.mga3
+ Revision: 364377
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Apr 19 2011 jquelin <jquelin> 1.110.0-1.mga1
+ Revision: 88684
- update to 1.11

* Tue Jan 18 2011 jquelin <jquelin> 1.100.0-1.mga1
+ Revision: 22140
- cleaning spec file
- imported package perl-Class-Generate


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 1.100.0-1mdv2010.0
+ Revision: 403012
- rebuild using %%perl_convert_version

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 1.10-3mdv2009.0
+ Revision: 241186
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Aug 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.10-1mdv2008.0
+ Revision: 63923
- update to new version 1.10

* Sun Jul 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.09-1mdv2008.0
+ Revision: 46522
- update to new version 1.09

* Tue May 01 2007 Olivier Thauvin <nanardon@mandriva.org> 1.08-1mdv2008.0
+ Revision: 19794
- 1.08


* Wed Jan 17 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.07-1mdv2007.0
+ Revision: 109947
- new version
- Import perl-Class-Generate

* Tue Aug 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.06-5mdv2007.0
- Rebuild

* Tue Dec 20 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.06-4mdk
- spec cleanup
- %%mkrel
- better URL
- rpmbuilupdate aware
- fix doc files perms

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.06-3mdk
- fix buildrequires in a backward compatible way

* Sun Aug 29 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.06-2mdk 
- fix directory ownership (distlint)

* Wed Mar 03 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.06-1mdk
- first mdk release

